#!/bin/sh -efu

a= . install2-init-functions

. shell-config

[ -z "$AUTOINSTALL" ] || exit 0

resolvconf_file="$destdir/etc/resolvconf.conf"
bind_root="$destdir/var/lib/bind"
bind_local_file="$bind_root/etc/local.conf"
bind_options_file="$bind_root/etc/options.conf"

resolvconf_zones_file="/etc/bind/resolvconf-zones.conf"
resolvconf_options_file="/etc/bind/resolvconf-options.conf"

#setup base to local server
shell_config_set "$resolvconf_file" "name_servers" "127.0.0.1"

#zones from resolvconf
grep -qs "^[[:space:]]*include[[:space:]]\+\"$resolvconf_zones_file\"[[:space:]]*;" "$bind_local_file" ||
        printf 'include "%s";\n' "$resolvconf_zones_file" >>"$bind_local_file"
touch "$bind_root/$resolvconf_zones_file"

#comment out old forward and forwarders
sed -i 's|^\([[:space:]]*\)\(//\)\?\([[:space:]]*forward\(ers\)\?[[:space:]]\)|\1//\3|' "$bind_options_file"

#options from resolvconf
grep -qs "^[[:space:]]*include[[:space:]]\+\"$resolvconf_options_file\"[[:space:]]*;" "$bind_options_file" ||
	sed -i '/^[[:space:]]*\/\/[[:space:]]*forwarders[[:space:]]/ a \	include "'"$resolvconf_options_file"'";' "$bind_options_file"
touch "$bind_root$resolvconf_options_file"
